// pages/winlost/winlost.js
const app = getApp()
const $api = require('../../utils/api.js').API;
const $push = require('../../utils/api.js').PUSH;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    winLost:[],
    tabs1:['收益榜','盈利榜','亏损榜','亏损榜'],
    cur1:0
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    $api.getWinList().then(res=>{
      this.setData({
        winLost:res.data.data
      })
      var tabs=[],curs=[]
      res.data.data.forEach((item,index)=>{
        tabs.push(['收益榜','盈利榜','亏损榜','跌幅榜'])
        curs.push(0)
      })
      this.setData({
        tabs:tabs,
        curs:curs
      })
    })
  },

  pushToday(e){
    $push.pushToday(e.currentTarget.dataset)
  },
  curChange1(e){
    if (e.detail.source == "touch"){
      var curs=this.data.curs,index=e.target.dataset.tab
      curs[index]=e.detail.current
      this.setData({
        curs:curs
      })
    }
  },
  tabChange1(e){
    var curs=this.data.curs,index=e.target.dataset.tab
    curs[index]=e.target.dataset.id
    this.setData({
      curs:curs
    })
},
  
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})